1. Templates
Chronox AI API Referance
  • Get Started
    • Introduction
    • Authentication
    • Rate limiting
    • Errors
    • Pagination
    • Campaign
  • Account
    • Get User Details
      GET
    • Get Meta Integration
      GET
    • Get Integrated Channels
      GET
    • Get WABA Catalogs
      GET
  • WhatsApp Templates
    • Getting started
    • Templates
      • Create Whatsapp Template Guide
      • Get Whatsapp Templates
        GET
      • Get Whatsapp Template Details
        GET
      • Create Whatsapp Template
        POST
    • Lookups
      • Get Whatsapp Template Category
      • Get Whatsapp Languages
      • Get Whatsapp Template Type
      • Get Whatsapp Template Interactive Type
      • Get Whatsapp Template Header Type
      • Get Whatsapp Template Button Type
      • Get Whatsapp Template Dynamic Variable Type
  • Messaging
    • Getting started
    • Send Whatsapp Message
      POST
    • Send Whatsapp Template
      POST
    • Send Canned Response
      POST
  • Inbox
    • Get Inbox Data
      GET
    • Get Thread Details
      GET
    • Update Thread Archive
      PUT
    • Assign Thread Tags
      PUT
    • Assign Thread Status
      PUT
    • Update Thread Notes
      PUT
    • Get Canned Responses
      GET
    • Get Tags
      GET
    • Get Thread Status Types
      GET
  • Contact List
    • Getting started
    • Get Contact List
    • Create Contact List
    • Update Contact List
    • Update Contact List Status
    • Delete Contact List
  • Contacts
    • Getting started
    • Get Contacts
    • Create Contacts
    • Update Contact
    • Delete Contact
    • Delete Contact Copy
  • Tags and fields
    • Contact Tags
      • Get contact tags
      • Create contact tags
      • Update contact tag
      • Delete contact tag
    • Contact Fields
      • Get contact fields
      • Create contact fields
      • Update contact field
      • Delete contact field
  • Campaign
    • Getting Started
    • Campaign APIs
      • Create campaign
      • Get campaign
      • Update campaign
      • Delete campaign
      • Run campaign
      • Pause campaign
      • Resume campaign
      • Archive campaign
      • Get campaign Stats
    • Lookup
      • Get Statuses
      • Get campaign execution statuses
      • Get campaign contact filter types
      • Get campaign message types
      • Get contact field types
      • Get template variable types
      • Get country codes
  • Whatsapp Flow
    • Get Whatsapp flows
  • Tickets
    • Getting started
    • Get Tickets
    • Create Ticket
    • Update Ticket
    • Get Ticket Statuses
    • Get Agents
  • Organization Teams
    • Get Organization Teams
  • Template Library
    • Get Template Library
    • Get Template Drafts
  • CRM
    • Import leads (single or bulk)
    • List leads
    • Get lead detail
  • Schemas
    • Thread Execution Data
    • LeadImportField
    • LeadImportContact
    • Single lead
    • LeadImportBulkLead
    • Bulk (leads[])
    • LeadImportWarning
    • Single result
    • Bulk result
    • ApiError
    • ErrorEnvelope
    • Lead detail
    • Lead list row
    • Lead list
  1. Templates

Get Whatsapp Templates

Developing
GET
/meta-integration/{meta_integration_whatsapp_id}/whatsapp-template/whatsapp_template_id

Request

Path Params

Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.chronox.ai/api/meta-integration//whatsapp-template/whatsapp_template_id' \
--header 'if-none-match: W/"956d6-QuLitEoMuGwvvEOTjcrVPhFdSCg"' \
--header 'priority: u=1, i' \
--header 'Authorization: Bearer <api-key>'
Response Response Example
{
    "status": true,
    "data": [
        {
            "whatsapp_template_id": 26,
            "meta_integration_whatsapp_id": "123",
            "user_assignment_id": "1001",
            "username": "John Doe",
            "updated_at_timestamp": "2025-05-28T07:57:05.000Z",
            "whatsapp_template_flag_interactive_message": true,
            "whatsapp_template_flag_flow": false,
            "flag_named_parameter": false,
            "interactive_type": null,
            "interactive_list_button_text": null,
            "whtatsapp_carousel_header": null,
            "whtatsapp_carousel_header_variable_data": [],
            "whatsapp_template_type": {
                "whatsapp_template_type_id": 1,
                "name": "Basic"
            },
            "whatsapp_template_metadata": null,
            "whatsapp_template_data": [
                {
                    "whatsapp_template_data_id": 701,
                    "whatsapp_template_name": "document_share",
                    "whatsapp_template_display_name": null,
                    "whatsapp_template_description": "Sample description",
                    "whatsapp_template_category_id": null,
                    "whatsapp_template_category_name": null,
                    "whatsapp_template_carousel_variation_id": null,
                    "whatsapp_template_security_recommendation": false,
                    "whatsapp_template_code_expiration_minutes": null,
                    "whatsapp_language_data": null,
                    "whatsapp_template_header": {
                        "whatsapp_template_header_id": 60,
                        "whatsapp_template_header_type_id": "4",
                        "whatsapp_template_header_type_name": "Document",
                        "whatsapp_template_header_data": [
                            {
                                "whatsapp_template_carousel_variation_id": null,
                                "whatsapp_template_header_variable_data": [
                                    {
                                        "whatsapp_template_dynamic_variable_id": 303,
                                        "whatsapp_template_dynamic_variable_type_id": 3,
                                        "whatsapp_template_dynamic_variable_unique_id": 60,
                                        "whatsapp_template_dynamic_variable_key": "{{HeaderDocument}}",
                                        "whatsapp_template_dynamic_variable_sample_value": "https://example.com/files/sample-document.pdf",
                                        "flag_header": true,
                                        "flag_button": false,
                                        "whatsapp_template_dynamic_variable_key_name": null,
                                        "whatsapp_template_dynamic_variable_type_name": "Header"
                                    }
                                ]
                            }
                        ]
                    },
                    "whatsapp_template_body": {
                        "whatsapp_template_body_id": 801,
                        "whatsapp_template_body_value": "testing",
                        "whatsapp_template_body_description": "Sample body description",
                        "whatsapp_template_carousel_variation_id": null,
                        "whatsapp_template_body_variable_data": []
                    },
                    "whatsapp_template_footer": {
                        "whatsapp_template_footer_id": null,
                        "whatsapp_template_footer_value": null
                    }
                }
            ],
            "flag_allow_tracking": false,
            "quality_score": null
        }
    ]
}
Modified at 2026-09-17 05:53:17
Previous
Create Whatsapp Template Guide
Next
Get Whatsapp Template Details
Built with